mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Module | System.AttributeTargets.Class | System.AttributeTargets.Method | System.AttributeTargets.All) System.Runtime.InteropServices.ComVisible(true)

Apply the attribute to assemblies to specify assembly compilation parameters. Use the enumeration to specify compilation options.

This attribute is ignored in version 1.0 of the Microsoft .NET Framework.

The classes in are for compiler writers' use only.

Controls the strictness of the code generated by the common language runtime's just-in-time (JIT) compiler.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  For some xxx, has both Strictxxx and Relaxedxx set, or has both StringInterning and NoStringInterning set.

  Apply the attribute to assemblies to specify assembly compilation parameters.

  This attribute is ignored in version 1.0 of the Microsoft .NET Framework.

  Initializes a new instance of the class with the specified compilation relaxations.

  The compilation relaxations.
- Constructor
  2.0.0.0
  4.0.0.0

  Apply the attribute to assemblies to specify assembly compilation parameters.

  This attribute is ignored in version 1.0 of the Microsoft .NET Framework.

  Initializes a new instance of the class with the specified value.

  One of the values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The current set of values that specifies the desired ordering of instruction checking and string interning.

  This property is read-only.

  Gets the compilation relaxations specified when the current object was constructed.